/**
 * @author Alexandre Correia - alexandrecorreia@celepar.pr.gov.br
 * @ ProxyName e ProxyPort 
 */

package nu.fw.jeti.util;

import java.util.Iterator;
import java.util.List;
import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.ProxySelector;
import java.net.URI;

public class ProxyIM
{
	private static String proxyServer;
	private static int proxyPort;

	public static void setProxy(String url)
	{
		try
		{
			System.setProperty("java.net.useSystemProxies","true");
			List l = ProxySelector.getDefault().select(new URI(url));
			
			for (Iterator iter = l.iterator(); iter.hasNext(); )
			{
				Proxy proxy = (Proxy) iter.next();
				InetSocketAddress addr = (InetSocketAddress)proxy.address();

				if( addr == null )
				{
					proxyServer = "";
					proxyPort = 0;
				}
				else
				{
					proxyServer = addr.getHostName().toString();
					proxyPort = addr.getPort();
				}
			}
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
	
	public static String getProxyServer()
	{
		return proxyServer;
	}

	public static int getProxyPort()
	{
		return proxyPort;
	}
}